function getShareInfo() {
    var title,des,imgurl;
    var titleNode,desNode,imgNode;
    titleNode = document.head.querySelector("[property='og:title']") ? document.head.querySelector("[property='og:title']") : (document.head.querySelector("[itemprop=title]") ? document.head.querySelector("[itemprop=title]") : document.head.querySelector("[name=title]"));
    if (titleNode) {
        title = titleNode.content;
    } else {
        title = document.title;
    }
    desNode = document.head.querySelector("[property='og:description']") ? document.head.querySelector("[property='og:description']") : (document.head.querySelector("[itemprop=description]") ? document.head.querySelector("[itemprop=description]") : document.head.querySelector("[name=description]"));
    des = desNode ? desNode.content : '';
    imgNode = document.head.querySelector("[itemprop=image]");
    if (imgNode) {
        imgurl = imgNode.content;
    } else {
        imgNode = document.getElementsByTagName('img');
        if (imgNode.length > 0) {
            imgurl = imgNode[0].src;
        } else {
            imgurl = "";
        }
    }
    var url = location.href;
    var info = new Object();
    info.shared_url = url;
    info.share_img = imgurl;
    info.shared_title = title;
    info.shared_content = des;
    info.show_dialog = 1;
    info.show_icon = 1;
    var json = JSON.stringify(info);
    window.lejent.setShareData("[" + json + "]");
}